
      REAL FUNCTION CBRT (A)

!+
!=    Obtains cube root of a real number, irrespective of sign.   
!-

      IMPLICIT REAL (A-Z)

      DATA THIRD/0.333333333333/, ZERO/1.E-30/
!.

!.....CHECK IF 'A' IS VERY SMALL
      ABSA = ABS(A)
      IF (ABSA.LT.ZERO) THEN
         CBRT   = 0.

!.....TAKE CUBE ROOT, REMOVING MINUS SIGN FIRST
      ELSE
         SIGN   = A / ABSA
         ATHIRD = ABSA ** THIRD
         CBRT   = SIGN * ATHIRD

!.....QUIT
      ENDIF
      END
