      SUBROUTINE MINMAX (X,N1,N2,XMIN,XMAX)


!+
!=    MINMAX FINDS THE MINIMUM AND MAXIMUM VALUES IN A SUB-VECTOR
!
!     INPUT: 
!     X         DATA VECTOR
!     N1        START ADDRESS OF SUB-VECTOR
!     N2        END ADDRESS OF SUB-VECTOR
!
!     OUTPUT:
!     XMIN      MINIMUM VALUE
!     XMAX      MAXIMUM VALUE
!-

      DIMENSION X(*)
!.


      XMIN =  1.E38
      XMAX = -1.E38

      DO 10 I = N1,N2
        IF (X(I).GT.XMAX) XMAX = X(I)
        IF (X(I).LT.XMIN) XMIN = X(I)
 10   CONTINUE
      END
