   FUNCTION PHOT_AIR (WAVE,ATMOS)  

!+
!=    FROM ALLEN PAGE 126 
!-

   DIMENSION COEF(10),W(10)  
   DATA COEF/4.5,1.30,.84,.68,.55,.46,.31,.23,.195,.170/   
   DATA W/300.,320.,340.,360.,380.,400.,450.,500.,550.,600./

   PHOT_AIR=1.0
   IF(ATMOS.NE.0.)THEN     
     C = COEF(1)
     IF ( W(1)<WAVE .AND. WAVE<W(10) ) &
       CALL PHOT_LINTER(W,COEF,10,WAVE,C,1) 
     IF ( WAVE >= W(10) ) C = COEF(10)
     PHOT_AIR=EXP(-C*ATMOS) 
   ENDIF
   END FUNCTION PHOT_AIR
