      SUBROUTINE CTDEF (MODE)

!+
!     PROGRAM:       CTDEF
!     PURPOSE:       
!=                   TO REDEFINE THE LOCAL CONTIUUM
!
!     PACKAGE:       PART OF THE FORTRAN VERSION OF "PROFILE"
!     AUTHOR:        C.S.JEFFERY
!     DATE:          15 JAN 1987
!     LANGUAGE:      FORTRAN 76.5
!     VERSION:       I
!     MACHINE:       PDP-10 (RECHENZENTRUM, UNIVERSITAET KIEL)
!.

      INCLUDE 'ctdeck.f'
      INCLUDE 'lpdeck.f'
      INCLUDE 'dispgx.f'
      CHARACTER*(*) MODE
      CHARACTER*1   CC
!.

!     READ THE CONTINUUM POINTS FROM THE TERMINAL

!     MANUALLY
      IF (MODE(1:3).EQ.'TTY') THEN
         IF (NARG.EQ.4) THEN
            CWL = RFRMCH (ARG(1))
            CFL = RFRMCH (ARG(2))
            CWR = RFRMCH (ARG(3))
            CFL = RFRMCH (ARG(4))
         ELSE
            CALL MESSGE ('CTDEF: Define the local continuum')
            CALL GETFPV ('       Wavelength 1 : ',CWL)
            CALL GETFPV ('       Flux 1       : ',CFL)
            CALL GETFPV ('       Wavelength 2 : ',CWR)
            CALL GETFPV ('       Flux 2       : ',CFR)
         ENDIF

!     WITH THE CURSOR
      ELSEIF (MODE(1:3).EQ.'CUR' .AND. DPLTOK) THEN
         CALL GX_QCUR (CWL,CFL)
         CALL GX_QCUR (CWR,CFR)

      ELSE
         CALL MESSGE ('CTDEF: No display available')
         RETURN
      ENDIF

!     GET THE CONTINUUM GRADIENT
      CCA = (CFR - CFL) / (CWR - CWL)
      END
