
      SUBROUTINE DEVSEL

!+
!     PROGRAM:       DEVSEL
!     PURPOSE:       
!=                   TO SELECT / SET UP GRAPHICS SCREEN 
!
!     PACKAGE:       PART OF THE FORTRAN VERSION OF "PROFILE"
!     AUTHOR:        C.S.JEFFERY
!     DATE:          15 JAN 1987
!     LANGUAGE:      FORTRAN 76.5
!     VERSION:       I
!     MACHINE:       PDP-10 (RECHENZENTRUM, UNIVERSITAET KIEL)
!-

      INCLUDE 'ctdeck.f'
      INCLUDE 'dispgx.f'
!.

!     GET THE DEVICE TYPE
      IF (NARG.EQ.1) THEN
         TDEV = ARG(1)
         GO TO 100
      ENDIF

1     CALL GETCHV ('DEVSEL: Select the graphics device ',TDEV)
      CALL UPCASE (TDEV)

!     GET HELP
      IF (TDEV(1:1).EQ.'H') THEN
         CALL OUTSTR ('        Tektronix 4010        ','T4010')
         CALL OUTSTR ('        Sigma (GOC) 5762      ','GOC')
         CALL OUTSTR ('        Sigma ARGS            ','ARGS')
         CALL OUTSTR ('        BBC B+ / Termulator   ','BBC')
         GO TO 1
      ENDIF

!     CALL THE GRAPHICS LIBRARY TO CHECK DEVICE SELECTION
100   CALL GX_DEVX (TDEV)

      END 
