      SUBROUTINE ECWRIT (CARG)

!+
!     PROGRAM:      ECWRIT
!     PURPOSE:      
!=                  WRITE ECHELLE SPECTRUM STACK AS A BINARY FILE
!
!     HISTORY:
!     VERSION       MACHINE       DATE      AUTHOR/INSTITUTE
!     1.0           microVAX      12.01.88  C.S.JEFFERY / ST.ANDREWS
!-

      INCLUDE 'implct.f'
      INCLUDE 'ecdeck.f'
      INCLUDE 'ctdeck.f'

      INTEGER       LU, IX, IERR
      CHARACTER     ECFILE*40, CARG*(*)
!.

!     GET THE ECHELLE FILE NAME

!     FROM THE SUBROUTINE ARGUMENT
      IF (CARG.NE.'USER') THEN
         ECFILE = CARG
!     FROM THE COMMAND ARGUMENT
      ELSEIF (NARG.GE.1) THEN
         ECFILE = ARG(1)
!     REQUEST FROM THE TERMINAL
      ELSE
         CALL GETCHV ('ECWRIT: Enter the echelle filename', ECFILE)
      ENDIF

!     OPEN THE FILE
      CALL LUOPEN (ECFILE, 'NEW', ' ', 'UNFORMATTED', 
     1                                       LU, IX, IERR)

!     WRITE THE ECHELLE SPECTRUM TO THE FILE
      WRITE (LU) ECHEAD
      WRITE (LU) NECORD
      WRITE (LU)  (MECORD(I),                 I=1,NECORD)
      WRITE (LU)  (ECSLAM(I),                 I=1,NECORD)
      WRITE (LU)  (ECDLAM(I),                 I=1,NECORD)
      WRITE (LU)  (NECWAV(I),                 I=1,NECORD)
      WRITE (LU) ((ECSTAK(J,I),J=1,NECWAV(I)),I=1,NECORD)

!     CLOSE THE FILE
      CALL LUSHUT (LU, IERR)
      END
