      SUBROUTINE SPSTAT

!+
!     PROGRAM:      SPSTAT
!     PURPOSE:      
!=                  REPORT STATISTICS OF SPECTRUM DATA
!
!     HISTORY:
!     VERSION       MACHINE       DATE      AUTHOR/INSTITUTE
!     1.0           microVAX      03.11.87  C.S.JEFFERY / ST.ANDREWS
!
!     INPUT:        SPW,SPF,NSPW (IN COMMON)
!
!     OUTPUT:       SPWMIN,SPWMAX,SPFMIN,SPFMAX,SPW0,SPWD (IN COMMON)
!-

      INCLUDE 'spdeck.f'
!.

      CALL MINMAX (SPW, 1,NSPW, SPWMIN,SPWMAX)
      CALL MINMAX (SPF, 1,NSPW, SPFMIN,SPFMAX)
      SPW0 = SPW(1)
      SPWD = (SPWMAX - SPWMIN) / (NSPW - 1)
      END
