      BLOCK DATA TZONES

!+
!     PROGRAM:       BOCK DATA TZONES
!     PURPOSE:       
!=                   TO DEFINE THE STANDARD PLOTTING ZONES
!
!     PACKAGE:       PART OF THE FORTRAN VERSION OF "PROFILE"
!     AUTHOR:        C.S.JEFFERY
!     DATE:          28 JAN 1987
!     LANGUAGE:      FORTRAN 76.5
!     VERSION:       I
!     MACHINE:       PDP-10 (RECHENZENTRUM, UNIVERSITAET KIEL)
!
!     KEY:                                                    --------
!    _____   +-------+   +---+---+   +-------+   +---+---+   |10|11|12|
!   |     |  |       |   | 2 | 3 |   |   6   |   |   |   |   |--------|
!   |  0  |  |   1   |   +---+---+   +-------+   | 8 | 9 |   |13|14|15|
!   |_____|  |       |   | 4 | 5 |   |   7   |   |   |   |   |--------|
!            +-------+   +---+---+   +-------+   +---+---+   |16|17|18|
!-                                                             --------

      INCLUDE 'dispgx.f'


!     DEFAULT PLOTTING ZONE
      DATA ITZ   / 0 /

!     PLOTTING AREAS IN RELATIVE DEVICE UNITS (ASSUMING DEVICE IS UNIT SQUARE)
      DATA TX0   /0.10, 
     1            0.05, 0.05, 0.55, 0.05, 0.55, 0.05, 0.05, 0.05, 0.55,
     1            0.10, 0.40, 0.70, 0.10, 0.40, 0.70, 0.10, 0.40, 0.70/
      DATA TX1   /0.90,
     1            0.95, 0.45, 0.95, 0.45, 0.95, 0.95, 0.95, 0.45, 0.95,
     1            0.30, 0.60, 0.90, 0.30, 0.60, 0.90, 0.30, 0.60, 0.90/
      DATA TY0   /0.10,
     1            0.05, 0.55, 0.55, 0.05, 0.05, 0.55, 0.05, 0.05, 0.05,
     1            0.70, 0.70, 0.70, 0.40, 0.40, 0.40, 0.10, 0.10, 0.10/
      DATA TY1   /0.90,
     1            0.95, 0.95, 0.95, 0.45, 0.45, 0.95, 0.45, 0.95, 0.95,
     1            0.90, 0.90, 0.90, 0.60, 0.60, 0.60, 0.30, 0.30, 0.30/
!.

      END
