      
      SUBROUTINE  INGRAT(N,H,TEG,TAU)

!+
!=     KOMBINIERTE INTEGRATION MIT SIMPSON- UND 3/8-REGEL, JEWEILS
!      UEBER 6 STREIFEN.
!-

      IMPLICIT REAL*8 (A-H,O-Z)
      DIMENSION  TAU(*),TEG(*)
!.
      DO  J = 2,6
        TAU(J) = H/2.*(TEG(J-1) + TEG(J))
        TAU(J) = TAU(J) + TAU(J-1)
      ENDDO
      NM6 = N-6
      DO  J = 7,NM6
         TAU(J) = 0.375*H*(TEG(J-6) + 3.*TEG(J-5) + 3.*TEG(J-4) +
     1           2.*TEG(J-3) + 3.*TEG(J-2) + 3.*TEG(J-1) + TEG(J)) +
     2          H/3.*(TEG(J-6) + 4.*TEG(J-5) + 2.*TEG(J-4) +
     3          4.*TEG(J-3) + 2.*TEG(J-2) + 4.*TEG(J-1) + TEG(J))
        TAU(J) = 0.5*TAU(J) + TAU(J-6)
      ENDDO
      NM5 = N-5
      DO  J = NM5,N
        TAU(J) = 0.375*H*(TEG(J-3) + 3.*TEG(J-2) + 3.*TEG(J-1) + TEG(J))
        TAU(J) = TAU(J) + TAU(J-3)
      ENDDO
      END
