      SUBROUTINE parabel (mm,nn,f,x,c,z)

!+
!=    ENTWICKLUNG EINER VORGEGEBENEN FUNKTION F(X) NACH AVRETT/LOESER PARABELN
!-


      IMPLICIT REAL*8 (A-H,O-Z)
      DIMENSION f(nn), x(nn), c(nn)
!.


      m = mm
      n = nn

      c(n)   = (f(n)-f(n-1)) / (x(n)-x(n-1))
      c(m)   = f(n) - c(n)*x(n)
      p      = (1.-x(n-2)/x(n-1)) * (1.-z*x(n-2)/x(n-1))
      c(n-1) = (f(n-2)-c(m)-c(n)*x(n-2)) / p
      DO k = n-2,m+1,-1
        sum = 0.0
        DO l = n-1,k+1,-1
          p = (1.-x(k-1)/x(l))*(1.-z*x(k-1)/x(l))
          sum = sum + c(l)*p
        ENDDO
        p = (1.-x(k-1)/x(k)) * (1.-z*x(k-1)/x(k))
        c(k) = (f(k-1)-c(m)-c(n)*x(k-1)-sum) / p
      ENDDO
      END
