MODULE SPC_CONSTANTS

  IMPLICIT NONE

! Constants used explicitly by the QUB libraries dp amd
 
  DOUBLE PRECISION, PARAMETER :: CNUMBM = 6.0221740E+23  ! N_A
  DOUBLE PRECISION, PARAMETER :: CLOPAC = 5.3313200E+03
  DOUBLE PRECISION, PARAMETER :: CDOPPT = 1.8501950E-13
  DOUBLE PRECISION, PARAMETER :: CDOPPV = 1.1126497E-11
  DOUBLE PRECISION, PARAMETER :: CEVTOT = 1.16048E+04
  DOUBLE PRECISION, PARAMETER :: CSTIME = 1.4388220E+08  !  h c / k
  DOUBLE PRECISION, PARAMETER :: CSAHAE = 6.6671737E-01
  DOUBLE PRECISION, PARAMETER :: CELNUM = 7.2430912E+00
  DOUBLE PRECISION, PARAMETER :: CHYDEV = 1.3598E+01
  DOUBLE PRECISION, PARAMETER :: CELSCT = 6.6524520E-25
  DOUBLE PRECISION, PARAMETER :: CLIGHT = 2.9979250E+18  ! c : Angstrom/ s

END MODULE SPC_CONSTANTS

