REAL FUNCTION VSINI_ROT (X,B)

  !+
  !
  != Rotational broadening function.
  !
  !-

  IMPLICIT NONE

  REAL :: X     !  Rotational velocity
  REAL :: B     ! Limb darkening coefficient

  DOUBLE PRECISION, PARAMETER :: PI=3.14159265358979323846

  !.

  IF( ABS(X) < 1. )THEN
     VSINI_ROT = (4.*SQRT(1.-X*X)/PI+B*(1.-X*X))*1.5/(3.+2.*B)
  ELSE
     VSINI_ROT = 0.
  ENDIF

END FUNCTION VSINI_ROT








