*COMDECK GXDECK
C-----------------------------------------------------------------------:-------
C INCLUDE MODULE: GXDECK
C-----------------------------------------------------------------------:-------
C     CONTAINS DECLARATION OF VARIABLE NAMES AND COMMON BLOCKS FOR CSJ'S
C              GRAPHIX PACKAGE 
C-------------------------------------------------------------------------------
C
C.....THE DEVICE DEFINITION
C     ..CURRENT WORKSTATION IDENTIFIERS
      CHARACTER*10    GDEVX
      INTEGER         IGXD
C     ..NUMBER OF DEVICES RECOGNISED
      PARAMETER (NDEV=9)
C     ..DEVICE SIZES   (SHOULD HAVE DIMENSION (NDEV) IN NON-GKS IMPLEMENTATION)
      REAL            PXR, PYR
C     ..DEVICE TYPE AND CONNECTION IDENTIFIERS
      INTEGER         IGWT(NDEV), IGLU(NDEV)
C     ..GXPACK STATUS AND OUTPUT DEVICE ACTIVATION FLAGS
      LOGICAL         LGSTAT, LGOUT
C
      COMMON /GXCDEV/ GDEVX
      COMMON /GXDEVS/ PXR, PYR, IGWT, IGLU, IGXD, LGSTAT, LGOUT
C
C.....THE DISPLAY LIMITS
C     ..PLOT LIMITS (PHYSICAL)
      REAL            PX0, PY0, PX1, PY1
C     ..PLOT LIMITS (MATHEMATICAL)
      REAL            QX0, QY0, QX1, QY1
C     ..SCALING FACTORS
      REAL            PQX, PQY, QPX, QPY
C     ..CURRENT PEN POSITION
      REAL            PX,  PY,  QX,  QY
C     ..PLOT WINDOW (MATHEMATICAL)
      REAL            VX0, VY0, VX1, VY1
C     ..PLOT WINDOW (PHYSICAL)
      REAL            WX0, WY0, WX1, WY1
C     ..FLAG TRANSFORMATION
      LOGICAL         LGP, LGQ, LMAP
C
      COMMON /GXVARS/ PX0, PY0, PX1, PY1,
     1                QX0, QY0, QX1, QY1,
     3                PQX, PQY, QPX, QPY,
     4                PX,  PY,  QX,  QY,
     5                VX0, VY0, VX1, VY1,
     6                WX0, WY0, WX1, WY1,
     8                LGP, LGQ, LMAP
C
C.....OTHER VARIABLES REQUIRED BY THE PLOTTING ROUTINES
C     ..CHAR. SIZE AND ROTATION
      REAL            GSIZEX, GANGLX
      COMMON /GXCHAR/ GSIZEX, GANGLX
C
C.....UNIT IDENTIFIERS
C     ..ERROR MESSAGE DEVICE NUMBER
      INTEGER LUER
      COMMON /GXUNIT/ LUER
C
C===============================================================================
