*COMDECK XXZONE
C-----------------------------------------------------------------------:-------
C INCLUDE MODULE: XXZONE
C-----------------------------------------------------------------------:-------
C
C.....PARAMETERS DEFINING NUMBER OF IONS AND ATOMS CONSIDERED
C..   ISP    : NUMBER OF ATOMIC SPECIES TREATED
C..   IBN    : NUMBER OF BINS IN COMPOSITION VECTOR ( = ISP + 1 )
C..   ILV    : MAXIMUM NUMBER OF IONS / ATOM
      PARAMETER (ISP=7, ILV=8, IBN=8)
C
C.....COMMON BLOCKS PERTAINING TO COMPOSITION AT A GIVEN ZONE
      COMMON /XXFLAG/ LZXOK,   LXSUMS
      COMMON /XXZONE/ XX(IBN), XN(IBN), XNI(ILV,ISP),
     1                X,       Y,       Z,       ZCNO,
     1                XMU,     XMUI,    XMUE,    XMUF
      COMMON /XXSUMS/ XZAM1,   XZ2AM1,  XZ2AM3,  ZCNOW
      COMMON /XXBURN/ DXDT(IBN)
      COMMON /XXDATA/ XMASS(ISP),  XCHARG(ISP),   IXLEV(ISP),
     1                XU(ILV,ISP), XCHI(ILV,ISP), XRAD(ILV,ISP)
      COMMON /ZRATIO/ XRELM (IBN)
      COMMON /XXSURF/ XXS(IBN),XNS(IBN),
     1                XS,      YS,      ZS,      ZCNOS
C
C.....EQUIVALENCE NAMES FOR ATOMIC SPECIES, MASSES ETC.
C     NB: THIS IS TIED UP WITH DATA FOR PHYSICS SUBROUTINES
C         SEE > BLOCK DATA ATOMS
C
      EQUIVALENCE (XX(1),XX1),     (XX(2),XX4),     (XX(3),XX12),
     1            (XX(4),XX14),    (XX(5),XX16),    (XX(6),XX20),
     2            (XX(7),XX24)
C
      EQUIVALENCE (XMASS(1),AP),   (XMASS(2),AA),   (XMASS(3),AC12),
     2            (XMASS(4),AN14), (XMASS(5),AO16), (XMASS(6),ANE20),
     1            (XMASS(7),AMG24)
C
C===============================================================================
