      SUBROUTINE BLWRIT (CARG)

!+
!     PROGRAM:      BLWRIT
!     PURPOSE:      
!=                  SAVE CURRENT BLAZE FUNCTION PARAMETERS
!                   (AS A BINARY FILE WITH NO PARTICULAR STRUCTURE)
!
!     REFERENCES:   
!
!     HISTORY:
!     VERSION       MACHINE       DATE      AUTHOR/INSTITUTE
!     1.0           microVAX      12.01.88  C.S.JEFFERY / ST.ANDREWS
!-

      INCLUDE 'implct.f'
      INCLUDE 'ecdeck.f'
      INCLUDE 'ctdeck.f'

      CHARACTER     BLFILE*40, CARG*(*)
      INTEGER       LUNIT, INDEX, IERR
!.

!     GET THE NAME OF THE FILE

!     FROM THE SUBROUTINE ARGUMENT
      IF (CARG.NE.'USER') THEN
         BLFILE = CARG
!     FROM THE COMMAND ARGUMENT
      ELSEIF (NARG.GE.1) THEN
         BLFILE = ARG(1)
!     REQUEST FROM THE TERMINAL
      ELSE
         CALL GETCHV ('BLWRIT: Enter blaze function filename', BLFILE)
      ENDIF

!     ATTEMPT TO OPEN THE FILE

      CALL LUOPEN (BLFILE, 'NEW', ' ', 'UNFORMATTED', 
     1                                           LUNIT, INDEX, IERR)
      IF (IERR.NE.0) THEN
         CALL OUTCHV ('BLWRIT: Error opening file', BLFILE)
         RETURN
      ENDIF

!     NOW SAVE THE BLAZE FUNCTION PARAMETERS

      WRITE (LUNIT) IBLTYP, LBLF, BLCHEB, BLXMIN, BLXMAX,
     1                            BLPOLY, BLWCEN, BLFMAX, BLA, BLK

!     CLOSE THE FILE AND QUIT

      CALL LUSHUT (LUNIT, IERR)
      END
