      SUBROUTINE CTPLOT

!+
!     PROGRAM:       CTPLOT
!     PURPOSE:       
!=                   TO PLOT THE CURRENT LOCAL CONTINUUM 
!
!     PACKAGE:       PART OF THE FORTRAN VERSION OF "PROFILE"
!     AUTHOR:        C.S.JEFFERY
!     DATE:          19 JAN 1987
!     LANGUAGE:      FORTRAN 76.5
!     VERSION:       I
!     MACHINE:       PDP-10 (RECHENZENTRUM, UNIVERSITAET KIEL)
!-
      INCLUDE 'lpdeck.f'
      REAL    CL, CR
!.

!     CALCULATE CONTINUUM AT EDGES OF PLOT
      CL = CFL + CCA * (DXMIN - CWL)
      CR = CFL + CCA * (DXMAX - CWL)

!     PLOT CONTINUUM AS A SINGLE VECTOR
      CALL GX_QMOV (DXMIN,CL)
      CALL GX_QDRW (DXMAX,CR)

      CALL GX_FLSH

!     QUIT
      END
