      SUBROUTINE DTZONE

!+
!     PROGRAM:       DTZONE
!     PURPOSE:       
!=                   TO SELECT THE PLOTTING ZONE 
!
!     PACKAGE:       PART OF THE FORTRAN VERSION OF "PROFILE"
!     AUTHOR:        C.S.JEFFERY
!     DATE:          28 JAN 1987
!     LANGUAGE:      FORTRAN 76.5
!     VERSION:       I
!     MACHINE:       PDP-10 (RECHENZENTRUM, UNIVERSITAET KIEL)
!-

      INCLUDE 'ctdeck.f'
      INCLUDE 'dispgx.f'
!.

      IF (NARG.EQ.1) THEN
         ITZ = IFRMCH (ARG(1))
      ELSE
         CALL GETINT ('DTZONE: Enter zone identifier (0 - 18): ',ITZ)
      ENDIF

!     VERIFY THE DEVICE AREA
      IF (ITZ.LT.0 .OR. ITZ.GT.18) ITZ = 0

      IF (ITZ.GT.1) THEN
         DFRAME = .FALSE.
      ELSE
         DFRAME = .TRUE.
      ENDIF

      END
