      SUBROUTINE IMREAD (CARG1)

!+
!     PROGRAM:      IMREAD
!     PURPOSE:      
!=                  PREPARE TO READ A 2D IMAGE WITH IMRD
!     REFERENCES:   
!
!     HISTORY:
!     VERSION       MACHINE       DATE      AUTHOR/INSTITUTE
!     1.0           microVAX      09.08.87  C.S.JEFFERY / ST.ANDREWS
!-

      INCLUDE 'implct.f'
      INCLUDE 'ctdeck.f'

!     SUBROUTINE ARGUMENT
      CHARACTER*(*) CARG1

!     DATA FILENAME
      CHARACTER*80 IMFILE
!.


!     IDENTIFY THE INPUT FILE

1     IF (CARG1.NE.' ') THEN
         IMFILE = CARG1
      ELSEIF (NARG.NE.0) THEN
         IMFILE = ARG(1)
      ELSE
         CALL GETCHV ('IMREAD: Enter name of image file: ',IMFILE)
      ENDIF

      IF (IMFILE.EQ.' ') GOTO 999

!     READ THE IMAGE FROM THE FREE FORMAT FILE

      CALL IMRD (IMFILE,IERR)

      IF (IERR.NE.0) GOTO 998
      GOTO 888

!     ERRORS

998   CALL OUTSTR ('IMREAD ** Error in IMRD')
      GOTO 888
999   CALL OUTSTR ('IMREAD ** No file given')
      GOTO 888

!     EXIT

888   END
