
      SUBROUTINE LPWRIT 

!+
!     PROGRAM:       LPWRIT
!     PURPOSE:       
!=                   TO WRITE A LINE PROFILE TO A DISK FILE 
!
!     PACKAGE:       PART OF THE FORTRAN VERSION OF "PROFILE"
!     AUTHOR:        C.S.JEFFERY
!     DATE:          11 MAR 1987
!     LANGUAGE:      FORTRAN 76.5
!     VERSION:       I
!     MACHINE:       PDP-10 (RECHENZENTRUM, UNIVERSITAET KIEL)
!-

      INCLUDE 'ctdeck.f'
      INCLUDE 'lpdeck.f'
      INCLUDE 'iodeck.f'
!.

!     GET THE NAME OF THE DISK FILE
      IF (NARG.GT.0) THEN
         LPFILE = ARG(1)
      ELSE
         CALL GETCHV ('LPWRIT: Enter name of l.p. file: ',LPFILE)
      ENDIF
!     ONLY ONE FORMAT IS SUPPORTED
      LPFORM = 'LP0'

!     OPEN THE FILE
      OPEN (LULP,FILE=LPFILE,STATUS='NEW',ACCESS='SEQUENTIAL',ERR=99)

!     WRITE THE DATA
      WRITE (LULP,1001) LPHEAD(1)
      WRITE (LULP,1001) LPHEAD(2)
      WRITE (LULP,*) LPWC
      DO 10 I = 1,NLPW
10    WRITE (LULP,*) LPW(I),LPF(I)

!     CLOSE THE FILE
      CLOSE (LULP)
      RETURN

!     ERROR INDICATORS
99    CALL MESSGE ('LPWRIT: Error opening output file')
      CLOSE (LULP)
      RETURN

      END
