      SUBROUTINE SPPLOT

!+
!     PROGRAM:       SPPLOT
!     PURPOSE:       
!=                   TO PLOT THE SPECTRUM IN THE CURRENT RANGE
!
!     PACKAGE:       PART OF THE FORTRAN VERSION OF "PROFILE"
!     AUTHOR:        C.S.JEFFERY
!     DATE:          19 JAN 1987
!     LANGUAGE:      FORTRAN 76.5
!     VERSION:       I
!     MACHINE:       PDP-10 (RECHENZENTRUM, UNIVERSITAET KIEL)
!-

      INCLUDE 'spdeck.f'

!     LOCAL VARIABLES
      INTEGER SKIP, IL, IR, IW
!.

!     FIND START AND END MARKERS FOR RANGE TO BE PLOTTED 
      IL = MAX ( 1,            IWAV (DXMIN) )
      IR = MIN ( IWAV (DXMAX), NSPW         )

!     LOOP THROUGH DATA IN CURRENT RANGE: MARKING EACH DATUM
      SKIP = 1
      CALL GX_QMOV (SPW(IL),SPF(IL))
      DO 1 IW = IL,IR,SKIP
1     CALL GX_QDRW (SPW(IW),SPF(IW))

      CALL GX_FLSH

!     QUIT
      END
