      SUBROUTINE WINDOW

!+
!     PROGRAM:       WINDOW
!     PURPOSE:       
!=                   TO RESET THE POSITION OF THE DISPLAY
!
!     PACKAGE:       PART OF THE FORTRAN VERSION OF "PROFILE"
!     AUTHOR:        C.S.JEFFERY
!     DATE:          16 JAN 1987
!     LANGUAGE:      FORTRAN 76.5
!     VERSION:       I
!     MACHINE:       PDP-10 (RECHENZENTRUM, UNIVERSITAET KIEL)
!-

      INCLUDE 'spdeck.f'

!     LOCAL VARIABLES
      REAL  LEFT, RIGHT, TOP, BOTTOM
!.

!     GET THE NEW WINDOW POSITION
      CALL GETFPV ('WINDOW: left (0 - 1):',LEFT)
      CALL GETFPV ('        bottom      :',BOTTOM)
      CALL GETFPV ('        right       :',RIGHT)
      CALL GETFPV ('        top         :',TOP)

!     SET THE WINDOW
      CALL GX_RWDW (LEFT,BOTTOM,RIGHT,TOP)

      END
