  MODULE STN_COMPOSITION

    IMPLICIT NONE

    ! This module  contains the composition distribution of the model, 
    ! including any stratification, if any
    ! set by the input file in the main program, which is specified by the user.

      REAL,ALLOCATABLE, DIMENSION(:,:) :: ALPHA    ! composition of atmosphere: 
 
      REAL,ALLOCATABLE, DIMENSION(:) :: ALPMET  ! number fractions for homogeneous mixtures
      REAL,ALLOCATABLE, DIMENSION(:) :: BETMET  ! mass fractions for homogeneous mixtures
      REAL,ALLOCATABLE, DIMENSION(:) :: EPSMET  ! mass fractions for homogeneous mixtures
 
  
    ! Dimensions of composition arrays set by number of elements being 
    ! considered and the number of depth points - set by the input file
    ! Arrays are allocated and deallocated in the main program 
                                                    
  END MODULE STN_COMPOSITION
