      SUBROUTINE KEY_NARG ( PARSTR, SEP_CHARS, NARG, KSTAT)

!+
!=    DETERMINE THE NUMBER OF WORDS REMAINING IN THE CURRENT PARSTR
!     EITHER BEFORE A SEPARATOR OR THE END OF THE STRING
!-


! Subroutine arguments (given).  
      CHARACTER PARSTR*(*), SEP_CHARS*(*)

! Subroutine arguments (returned).
      INTEGER   NARG
      INTEGER   KSTAT

! Local variables.
      INTEGER LP
      INTEGER LS
      INTEGER LS_TEST

      KSTAT = 0
!.

!.....CHECK STATUS OF COMMAND LINE
      CALL STR_LEN ( PARSTR, LP )

!  ...Blank line, no arguments
      IF ( LP == 0 ) THEN
         NARG = 0
         RETURN
      ENDIF

!.....STRIP LEADING BLANKS
      LP=LEN(PARSTR)
      DO 10 I = 1,LP
10    IF (PARSTR(I:I).NE.' ') GOTO 11
11    PARSTR = PARSTR(I:LP)
      CALL STR_NULL ( PARSTR(2+LP-I:LEN(PARSTR)) )

!.....LOCATE SEPARATOR
      CALL STR_LEN(SEP_CHARS, LS)
      DO I = 1,LS
         CALL STR_LOC( PARSTR, SEP_CHARS(I:I), LS_TEST )
         IF ( LS_TEST > 0 .AND. LS_TEST < LP ) LP = LS_TEST
      ENDDO

!.....COUNT THE NUMBER OF WORDS BEFORE THE SEPARATOR/EOL
      NARG = 0
      IW = 0
      DO I = 1,LP-1
         IF ( PARSTR(I:I) /= " " .AND. IW==0 ) NARG = NARG + 1 
         IF ( PARSTR(I:I) /= " " ) IW = 1
         IF ( PARSTR(I:I) == " " ) IW = 0
      ENDDO

      END
