

      SUBROUTINE STR_ITOC (NUMBER, NCHAR, STRING)
!+
!=     CONVERT AN INTEGER TO A CHARACTER WITH MINIMUM LENGTH NCHAR
!-
      INTEGER       NUMBER, NCHAR
      CHARACTER*(*) STRING

      INTEGER       LS, NZ
      CHARACTER*40  STR, ZERO
      DATA          ZERO /'0000000000000000000000000000000000000000'/
!.

!.....WRITE NUMBER TO VARIABLE STRING AS INTERNAL FILE
      WRITE (STR, '(I40)') NUMBER

!.....NOW LEFT JUSTIFY AND FIND ITS LENGTH
      CALL STR_LEFT (STR)
      CALL STR_LEN  (STR, LS)

!.....IF LENGTH LESS THAN NCHAR, THEN PAD WITH INITIAL ZEROS
      NZ = NCHAR - LS
      IF (NZ.GT.0) STR = ZERO(1:NZ)//STR(1:40-NZ)

!.....SET THE OUTPUT STRING
      STRING = STR

      END
